#ifndef MODELPPHUMANSEG_H
#define MODELPPHUMANSEG_H

#include "Model.h"

class ModelPPHumanSeg : public ModelBCHW {
public:
	ModelPPHumanSeg(/* args */) {}
	~ModelPPHumanSeg() {}

	virtual void prepareInputToNetwork(cv::Mat &resizedImage,
					   cv::Mat &preprocessedImage)
	{
		resizedImage =
			(resizedImage / 256.0 - cv::Scalar(0.5, 0.5, 0.5)) /
			cv::Scalar(0.5, 0.5, 0.5);

		hwc_to_chw(resizedImage, preprocessedImage);
	}

	virtual cv::Mat
	getNetworkOutput(const std::vector<std::vector<int64_t>> &outputDims,
			 std::vector<std::vector<float>> &outputTensorValues)
	{
		uint32_t outputWidth = (int)outputDims[0].at(2);
		uint32_t outputHeight = (int)outputDims[0].at(1);
		int32_t outputChannels = CV_32FC2;

		return cv::Mat(outputHeight, outputWidth, outputChannels,
			       outputTensorValues[0].data());
	}

	virtual void postprocessOutput(cv::Mat &outputImage)
	{
		// take 1st channel
		std::vector<cv::Mat> outputImageSplit;
		cv::split(outputImage, outputImageSplit);

		cv::normalize(outputImageSplit[1], outputImage, 1.0, 0.0,
			      cv::NORM_MINMAX);
	}
};

#endif // MODELPPHUMANSEG_H
